Package org.opentcs.access.rmi.services

# Interface RemotePlantModelService

All Superinterfaces:
  `java.rmi.Remote`, `RemoteTCSObjectService`

    public interface RemotePlantModelService
    extends RemoteTCSObjectService, java.rmi.Remote

Declares the methods provided by the `PlantModelService` via RMI.

The majority of the methods declared here have signatures analogous to their counterparts in `PlantModelService`, with an additional `ClientID` parameter which serves the purpose of identifying the calling client and determining its permissions.

To avoid redundancy, the semantics of methods that only pass through their arguments are not explicitly documented here again. See the corresponding API documentation in `PlantModelService` for these, instead.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `createPlantModel​(ClientID clientId, PlantModelCreationTO to)` |
  `java.lang.String` | `getModelName​(ClientID clientId)` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getModelProperties​(ClientID clientId)` |
  `void` | `updateLocationLock​(ClientID clientId, TCSObjectReference<Location> ref, boolean locked)` |

  ### Methods inherited from interface org.opentcs.access.rmi.services.RemoteTCSObjectService

  `appendObjectHistoryEntry, fetchObject, fetchObject, fetchObjects, fetchObjects, updateObjectProperty`

- ## Method Details

  - ### createPlantModel

    void createPlantModel​(ClientID clientId, PlantModelCreationTO to) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### getModelName

    java.lang.String getModelName​(ClientID clientId) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### getModelProperties

    java.util.Map<java.lang.String,​java.lang.String> getModelProperties​(ClientID clientId) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### updateLocationLock

    void updateLocationLock​(ClientID clientId, TCSObjectReference<Location> ref, boolean locked) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`